<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.epidemic.temporaryapply.mapper.TemporaryApplyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="temporaryApplyResultMap" type="org.springblade.epidemic.temporaryapply.entity.TemporaryApply">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="person" property="person"/>
        <result column="idcard" property="idcard"/>
        <result column="phone" property="phone"/>
        <result column="address" property="address"/>
        <result column="comefrom" property="comefrom"/>
        <result column="report_time" property="reportTime"/>
        <result column="quarantine_days" property="quarantineDays"/>
        <result column="isok" property="isok"/>
    </resultMap>


    <select id="selectTemporaryApplyPage" resultMap="temporaryApplyResultMap">
        select * from yc_temporary_apply where is_deleted = 0
    </select>

</mapper>
